# List Endpoints - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpus-v2-list-endpoint

# List Endpoints

GET

/

gpus

/

v2

/

endpoints

Try it

List Endpoints

cURL

```
curl --request GET \
--url https://api.novita.ai/gpus/v2/endpoints \
--header 'Authorization: &#x3C;authorization>'
```

```
import requestsurl = "https://api.novita.ai/gpus/v2/endpoints"headers = {"Authorization": "&#x3C;authorization>"}response = requests.get(url, headers=headers)print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: '&#x3C;authorization>'}};fetch('https://api.novita.ai/gpus/v2/endpoints', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/gpus/v2/endpoints", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"net/http"	"io")func main() {	url := "https://api.novita.ai/gpus/v2/endpoints"	req, _ := http.NewRequest("GET", url, nil)	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.get("https://api.novita.ai/gpus/v2/endpoints") .header("Authorization", "&#x3C;authorization>") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/gpus/v2/endpoints")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Get.new(url)request["Authorization"] = '&#x3C;authorization>'response = http.request(request)puts response.read_body
```

200

```
{
"data": [
{
"id": "endpoint-id",
"name": "example-endpoint",
"app_name": "example-app",
"status": {
"status": "running",
"error": "",
"message": ""
},
"url": "https://endpoint.example.com/endpoint-id",
"product_id": "product-id",
"worker_config": {
"max_replicas": 2,
"min_replicas": 0,
"idle_timeout": 300,
"max_concurrent_per_worker": 10,
"gpu_num": 1,
"rootfs_size_gb": 20,
"min_cuda_version": "12.4",
"request_timeout": 60
},
"policy": {
"type": "queue",
"value": 100
},
"image": "registry.example.com/namespace/image:tag",
"registry_auth_id": "registry-auth-id",
"entrypoint": "",
"command": "go run main.go",
"volumes": [
{
"id": "storage-id",
"type": "network",
"size": 123,
"mount_point": "/data"
}
],
"envs": [
{
"key": "ENV_NAME",
"value": "ENV_VALUE"
}
],
"ports": [
8080
],
"workers": [
{
"id": "worker-id",
"status": {
"status": "ready",
"error": "",
"message": ""
},
"log": "https://logs.example.com/worker-id",
"health": true,
"drain": false
}
],
"health_check": {
"path": "/healthz",
"port": 8080
},
"region_id": "region-id",
"member_id": "member-id",
"owner_id": "550e8400-e29b-41d4-a716-446655440000",
"created_at": 1710000000
}
],
"next_cursor": "next-endpoint-cursor",
"has_more": true
}
```

#### Headers

[​](#parameter-authorization)

Authorization

string

required

Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.

#### Query Parameters

[​](#parameter-limit)

limit

integer

Maximum number of items to return. Integer, value >= 0.

[​](#parameter-cursor)

cursor

string

Pagination cursor. String, length: 0-1024 characters.

[​](#parameter-keyword)

keyword

string

Search keyword.

[​](#parameter-member-ids)

member_ids

string

Filter by member ID. Multiple IDs are comma-separated.

#### Response

200 - application/json

OK

[​](#response-data)

data

object[]

Endpoint list

Show child attributes

[​](#response-next-cursor)

next_cursor

string

Cursor for the next page. Empty string when there is no next page

Example:

`"next-endpoint-cursor"`

[​](#response-has-more)

has_more

boolean

Whether there are more pages

Example:

`true`

Last modified on June 23, 2026
